// Codage/decodage de textes morse (et rot13)

#import <appkit/appkit.h>

// Type de separateur

typedef enum code {
	CODE_DEBUT,			// Debut d'une phrase
	CODE_MORSE,			// Un code morse
	CODE_NON_MORSE			// Un caractere non morse
} code_t;

// Largeur maximale des lignes

#define LARGEUR		72
#define LARGEUR_MIN	10
#define LARGEUR_MAX	256
#define LARGEUR_SANS	-1

// Types de codage

#define ENCODE_MORSE		0
#define DECODE_MORSE		1
#define ENCODE_MORSE_ROT13	2
#define DECODE_MORSE_ROT13	3
#define ENCODE_ROT13		4

@interface Morse:Object
{
	id	Saisie;		// Zone de saisie
	id	Sortie;		// Zone de sortie
	id	SlideValue;	// L'ascenseur
	id	SlideTexte;	// L'ascenseur
	id	StrictValue;	// Le bouton "strict"
	id	window;		// La fenetre

	BOOL	rot13;		// Codage rot13 des caracteres
	BOOL	strict;		// Codage strict du morse
	code_t	code;		// Action de separation a effectuer
	int	largeur;	// Largeur maximale des lignes
	int	caractere;	// Nombre de caracteres sur la ligne
}

- Boutons:sender;
- Slide:sender;
- Strict:sender;
- Encode:(const char *)from;
- Decode:(const char *)from;
- Rot:(char *)from;

- MorseService:(id)pasteboard userData:(const char*)type error:(const char **)msg;
- appDidInit:sender;
- window;

@end
